| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
color_space_YCoCg.hpp File Reference

GLM_GTX_color_space_YCoCg More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgb2YCoCg (tvec3< T, P > const &rgbColor)
| Convert a color from RGB color space to YCoCg color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rgb2YCoCgR (tvec3< T, P > const &rgbColor)
| Convert a color from RGB color space to YCoCgR color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | YCoCg2rgb (tvec3< T, P > const &YCoCgColor)
| Convert a color from YCoCg color space to RGB color space. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | YCoCgR2rgb (tvec3< T, P > const &YCoCgColor)
| Convert a color from YCoCgR color space to RGB color space. More...

## Detailed Description

GLM_GTX_color_space_YCoCg

See also
  GLM Core (dependence)

Definition in file color_space_YCoCg.hpp.